import { html as g } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as n } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (c, r, i, l) => {
  for (var e = l > 1 ? void 0 : l ? m(r, i) : r, o = c.length - 1, s; o >= 0; o--)
    (s = c[o]) && (e = (l ? s(r, i, e) : s(e)) || e);
  return l && e && f(r, i, e), e;
};
let t = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--bloggerCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--bloggerCircleFilledLarge", this.name = "IconSocialBloggerCircleFilledLarge";
  }
  render() {
    return g`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--bloggerCircleFilledLarge"><path d="M13.375 14.399q.122.013.245 0h2.537a.875.875 0 0 0-.052-1.706h-2.721a.875.875 0 0 0 0 1.67z"></path><path d="M16 3.75a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5m6.93 14.691a4.47 4.47 0 0 1-3.316 4.314 4.6 4.6 0 0 1-1.138.14h-4.821a4.445 4.445 0 0 1-4.331-3.456 4.5 4.5 0 0 1-.114-.971v-4.935a4.454 4.454 0 0 1 3.342-4.297q.548-.135 1.112-.14h2.266a4.454 4.454 0 0 1 4.445 4.428.875.875 0 0 0 .578.805.9.9 0 0 0 .332.061h.77c.192 0 .379.068.525.192a.87.87 0 0 1 .35.7z"></path><path d="M18.826 17.75a1 1 0 0 0-.271 0h-4.917a1 1 0 0 0-.263 0 .81.81 0 0 0-.613.534.78.78 0 0 0 .158.796.8.8 0 0 0 .639.28h5.153a.804.804 0 0 0 .088-1.584z"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], t.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = a([
  n("icon-social-blogger-circle-filled-large")
], t);
export {
  t as IconSocialBloggerCircleFilledLarge
};
